{ config, lib, pkgs, ... }:

let
  cfg = config.ptw.system.i18n;
in {
  options.ptw.system.i18n = {
    enable = lib.mkEnableOption "Configure i18n services on the system";
  };

  config = lib.mkIf cfg.enable {
    # TODO: mozc cannot be configured for some reason
    i18n.inputMethod = {
      enabled = "fcitx";
      fcitx.engines = with pkgs.fcitx-engines; [ mozc ];
    };

    environment.systemPackages = with pkgs; [ fcitx5-configtool fcitx5-gtk ];
  };
}
